## org.apache.batik.gvt.filter
Class GraphicsNodeRed8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.gvt.filter.GraphicsNodeRed8Bit

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class GraphicsNodeRed8Bit
extends AbstractRed

This implementation of RenderableImage will render its input GraphicsNode on demand for tiles.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`GraphicsNodeRed8Bit(GraphicsNode node, java.awt.geom.AffineTransform node2dev, boolean usePrimitivePaint, java.awt.RenderingHints hints)`

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`
`void` `genRect(java.awt.image.WritableRaster wr)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphicsNodeRed8Bit

    public GraphicsNodeRed8Bit(GraphicsNode node,
                               java.awt.geom.AffineTransform node2dev,
                               boolean usePrimitivePaint,
                               java.awt.RenderingHints hints)

Method Detail

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

### genRect

    public void genRect(java.awt.image.WritableRaster wr)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.